﻿@import './_reboot.css';
@import './fds-colours.css';
@import './fds.css';
@import './_header.css';
@import './_content.css';
@import './_navigation.css';
@import './_utilities.css';
@import './_fonts.css';
@import './_main.css';
@import './_table.css';
@import './_dropdown.css';
@import './_license.css';
@import '../lib/datatables-js/datatables.min.css';
@import '../lib/toastify/style.css';
@import './_date-picker.css';
@import './gift.css';
@import './_carousel.css';
@import './_accordion.css';
@import './_other.css';
@import './_tagifyCustom.css';

body {
  background-color: var(--background-surface);
}

/*#region Header*/

header {
  /* height: 130px; */
  width: 100%;
  min-height: unset;
  width: unset;
  max-width: unset;
  margin: 0 auto;
  top: unset;
  padding: unset;
  background-color: white;
  box-shadow: 0px 6px 24px 0 rgb(0 0 0 / 0.05);
}

header ul {
  display: inline-flex;
}

header li a {
  padding: 10px;
}

.status-active-blue:after {
  content: '●';
  color: #0f62fe;
  position: absolute;
  top: 0px;
  right: 5px;
}

.status-active-new:after {
  content: '●';
  color: var(--text-new);
  position: absolute;
  top: 0px;
  right: 5px;
}

.status-active-yellow:after {
  content: '●';
  color: #c8832e;
  position: absolute;
  top: 0px;
  right: 5px;
}

.fds-badge[shape='circle'] {
  border-radius: 999px;
}

.user-info {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  align-items: flex-start;
  padding: 0 10px;
  height: 40px;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-content: center;
  flex-wrap: nowrap;
  height: 80px;
  align-items: center;
}

header nav {
  background-color: white;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: space-between;
}

header nav ul {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}

header nav .fds-side-nav__content {
  height: 58px;
  border-bottom: 1px solid #e4e4e4;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
}

header nav .fds-side-nav__link--submenu-active .fds-side-nav__submenu {
  position: fixed;
  display: flex;
  flex-direction: column;
  border: 1px solid #e4e4e4;
  border-radius: 4px;
}

header nav .fds-side-nav__item {
  padding-inline: 0px;
}

.user-menu {
  width: 300px;
  max-height: initial;
  height: initial;
  top: 34px;
}

.user-menu .change-company,
.user-menu .logout-btn {
  width: 100%;
  margin: 10px;
  height: 40px;
}

.special-btn-area {
  height: 50px;
  width: 100%;
}

.fds-side-nav__item .fds-side-nav-overlay {
  content: ' ';
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  /*background-color: black;*/
  opacity: 0;
  z-index: 1;
  display: none;
}

.fds-overflow-menu .fds-overflow-menu-overlay {
  content: ' ';
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  /*background-color: black;*/
  opacity: 0.4;
  z-index: 1;
  display: none;
}

.fds-side-nav__item.fds-side-nav__link--submenu-active .fds-side-nav-overlay {
  display: block;
}

.fds-overflow-menu--open .fds-overflow-menu-overlay {
  display: block;
}

.fds-side-nav__submenu {
  z-index: 99999;
  background-color: white;
}

.fds-side-nav__submenu .fds-side-nav__link {
  padding-right: 8px;
  padding-block: 8px;
}

.mobile-header {
  display: none;
}
/*#endregion Header*/
.fds-overflow-menu-options {
  z-index: 10000;
}

.welcome-row {
  display: flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
  justify-content: space-between;
}

.welcome {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: flex-start;
}

.welcome::before {
  content: '';
  position: relative;
  width: 3px;
  height: 46px;
  border-radius: 15px;
  background-color: #0f62fe;
}

.welcome ol {
  margin-left: 10px;
}

.welcome ol li.heading-04 {
  color: #0f62fe;
}

.fds-card {
  display: flex;
  flex-direction: column;
  gap: 16px;
  background-color: #fff;
  border: 1px solid #e4e4e4;
  border-radius: 8px;
  padding: 24px;
  box-shadow: 0 1px 0 0 #d5d5d5;
  color: #1f1f1f;
}

.fds-card__heading {
  font-family: 'Inter', 'Arial', sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 0;
}

slot.fds-card__header {
  font-size: 20px;
}

.fds-card__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.ustadim-card .fds-card__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
  justify-content: space-between;
}
.fds-card__footer {
  width: 100%;
}
.fds-card__footer .footer-content {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 8px;
  width: 100%;
}

.ustadim-card .fds-card__footer a i,
.ustadim-card .fds-card__footer a {
  color: white;
}

.activity-card .fds-card__footer {
  margin-top: -82px !important;
}


    .table-destek-talepleri {
        margin-left: 12px;
    }

.table-destek-talepleri td.body-short-01 {
  text-wrap: auto;
  word-break: break-word;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 108px;
  padding: 8px;
}

.ortalama-cozum {
  margin-bottom: 12px;
}

.destek-grafik {
  display: flex;
  width: 30%;
  flex-direction: column;
  align-content: center;
  flex-wrap: nowrap;
  position: relative;
  align-items: flex-start;
  /*justify-content: space-between;*/
}

.destek-tablo {
  width: calc(100% - 256px);
}

.destek-area {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.destek-istatistik {
  display: flex;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
  width: 100%;
  text-align: center;
}

.destek-istatistik .destek-istatistik-label {
  font-size: 14px;
  line-height: 16px;
  align-items: center;
  justify-content: center;
  font-family: 'Jetbrains Mono', 'Arial', monospace;
}

.destek-istatistik .destek-istatistik-text {
  font-size: 12px;
  line-height: 16px;
  align-items: center;
  justify-content: center;
  color: #848484;
}

.destek-istatistik-item-seperator {
  display: flex;
  width: 1px;
  height: 32px;
  border: 1px solid #e5e9ec;
  border-radius: 4px;
}

#credit-chart {
  display: flex;
  flex-direction: column;
  border: 1px solid #e4e4e4;
  border-radius: 8px;
  box-shadow: 0 1px 0 0 #d5d5d5;
}

.fds-card-ustadim {
  display: flex;
  flex-direction: column;
  border: 1px solid #e4e4e4;
  border-radius: 8px;
  box-shadow: 0 1px 0 0 #d5d5d5;
}

.ustadim-card {
    display: flex;
    flex-direction: column;
    padding: 24px;
    isolation: isolate;
    width: 100%;
    background: linear-gradient(126.82deg, #202e49 0%, #0f62fe 100.68%);
    border-radius: 8px;
    flex: none;
    order: 1;
    align-self: stretch;
    flex-grow: 0;
    color: white;
    position: relative;
    gap: 24px;
    height: 100%;
}

.ustadim-card .fds-card__header {
  font-family: Comfortaa;
  font-size: 24px;
  line-height: 26px;
  text-align: center;
}
.ustadim-card .fds-card__header svg {
  margin: 0px auto;
}

.ustadim-card .ustadim-content {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
  gap: 24px;
  text-align: center;
}

.ustadim-aciklama {
  font-family: Comfortaa;
  font-size: 16px;
  line-height: 24px;
}

.ustadim-tutar {
  display: flex;
  padding: 24px;
  color: white;
  width: 100%;
  border-radius: 8px;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  height: 96px;
  background: rgba(43, 43, 43, 0.7);
  box-shadow:
    0px 2px 8px rgba(31, 31, 31, 0.16),
    0px 4px 6px rgba(31, 31, 31, 0.12);
}

.ustadim-tutar-item {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
}

.ustadim-tutar-item .fds-badge {
  background-color: #2b2b2b;
  margin-right: 10px;
}

.ustadim-tutar-item-list {
  display: flex;
}

.ustadim-tutar-item-list {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
}

.ustadim-tutar-item .tutar {
  font-family: Comfortaa;
  font-size: 20px;
}

.ustadim-tutar-item i {
  font-size: 24px;
}

.user-nav-menu,
.component-menu-items.fds-side-nav__content {
  display: none;
}

.ustadim-card:before {
  content: '';
  background-image: url(/images/ustadim.svg);
  background-size: auto;
  background-position: top right;
  background-repeat: no-repeat;
  height: 100%;
  position: absolute;
  width: 100%;
  z-index: -1123131;
  top: 0;
  right: 0;
}

#renew-form-dashboard {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  align-content: center;
  flex-wrap: nowrap;
  flex-direction: row;
  gap: 12px;
}

.notification-panel {
  display: flex;
}

.notification-panel .notification-not-found {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 16px;
  min-height: 256px;
  gap: 12px;
  text-align: center;
}

.notification-panel {
  display: none;
  background-color: white;
  border: 1px solid;
  box-shadow: 0px 1px 1px 0px rgba(213, 213, 213, 1);
  border-radius: 8px;
  top: 32px;
  right: 450px;
  gap: 0px;
  flex-direction: column;
  width: 376px;
  z-index: 99999;
  padding: 0;
  min-width: 376px;
  min-height: 482px;
}

.notification-panel .notification-content {
  width: 100%;
}

.notification-content .fds-tablist {
  padding: 12px;
}

.notification-header {
  display: flex;
  width: 100%;
  flex-direction: row;
  align-content: center;
  justify-content: space-between;
  padding: 16px;
}

.notification-items {
  height: 324px;
  width: 100%;
  overflow: hidden;
  overflow-y: auto;
}

.border-primary {
  border: 1px solid var(--border-primary);
}

.notification-items .notification-item {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 10px;
  padding: 10px;
  background-color: white;
  border-radius: 8px;
}

.notification-items .notification-item:hover {
  background-color: var(--blue-5);
}

.notification-items .notification-item .time {
  display: flex;
  flex-direction: row;
  gap: 4px;
  align-content: center;
  align-items: center;
  justify-content: flex-start;
  flex-wrap: nowrap;
}

.notification-items .notification-footer {
  display: flex;
  flex-direction: row;
  align-content: flex-end;
  justify-content: flex-end;
  gap: 4px;
  width: 100%;
}

.h-seperator {
  width: 100%;
  height: 1px;
  border: 1px solid var(--gray-10);
}

.notification-items .notification-content {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

@media (max-width: 599.98px) {
  .main-menu,
  .header-content {
    display: none;
  }

  #main-menu {
    display: none;
  }

  .mobile-header {
    display: flex !important;
  }

  nav.active .fds-side-nav__content {
    max-height: 100vh !important;
    display: flex;
    justify-content: flex-start;
  }

  .fds-grid-container {
    padding-right: 16px !important;
    padding-left: 16px !important;
  }

  .fds-side-nav__horizontal {
    display: flex;
    flex-direction: column !important;
  }

  nav .fds-side-nav__content {
    height: initial;
    padding: 0;
    width: 100%;
    flex-direction: column !important;
    display: flex;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: center;
    align-items: flex-start;
  }

  .user-info {
    display: none !important;
  }

  nav .fds-side-nav__item {
    width: 100% !important;
  }

  nav .fds-side-nav__link {
    display: flex;
    width: 100%;
    align-items: center;
    border-radius: 4px;
    cursor: pointer;
    gap: 8px;
    padding-block: 12px;
    padding-inline: 16px;
    text-decoration: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: center;
  }

  nav .fds-side-nav__link--submenu-active .fds-side-nav__submenu {
    position: relative;
    display: flex;
    flex-direction: column;
  }

  footer {
    text-align: center;
    width: 100%;
    padding: 15px;
  }

  footer .pull-right {
    text-align: center !important;
    justify-content: center;
  }

  .content {
    position: relative;
    top: 50px;
    padding: 10px;
  }

  .main-menu.active {
    display: flex;
    overflow-y: hidden;
  }

  header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    z-index: 999999;
  }

  .main-menu {
    position: fixed;
    width: 100%;
    height: calc(100vh - 50px);
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: stretch;
    z-index: 99999;
    top: 50px;
    left: 0;
  }

  header {
    height: 50px;
  }

  .header-content {
    display: none;
  }

  .mobile-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    height: 50px;
  }

  .logo-container img {
    height: 32px;
  }

  .active-user-menu {
    margin-top: 50px;
  }

  .user-nav-menu {
    position: fixed;
    top: 50px;
    width: 100%;
    background-color: white;
    height: 100vh;
    z-index: 999999;
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
  }

  .user-nav-menu.active {
    display: flex;
  }

  .user-nav-menu.active .fds-side-nav__content {
    max-height: 100vh !important;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
  }

  .logout-btn {
    width: 100%;
    margin-top: 5px;
  }

  .component-menu-items {
    display: none !important;
  }

  .component-menu-items {
    display: flex !important;
    justify-content: flex-end;
  }

  .main-menu-items {
    display: flex;
    justify-content: flex-start;
  }

  .component-menu-items {
    display: flex !important;
    justify-content: flex-end !important;
  }

  .fds-grid-container {
    padding-right: 32px;
    padding-left: 32px;
  }

  .user-info {
    display: none;
  }

  .notification-panel {
    width: 100vw;
    right: initial;
    position: fixed;
    top: 72px;
    left: 0;
    max-width: calc(100vw - 20px);
    margin: 10px;
  }

  .destek-area {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: space-around;
  }

  .destek-grafik {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-content: center;
    flex-wrap: nowrap;
    position: relative;
    align-items: flex-start;
    justify-content: space-between;
  }

  .destek-istatistik {
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: space-evenly;
    flex-direction: row;
    width: 100%;
    text-align: center;
  }

  .destek-tablo {
    display: none;
  }

  .fds-card__content {
    height: initial;
    min-height: initial;
  }

  .ustadim-aciklama {
    font-family: Comfortaa;
    font-size: 12px;
    line-height: 19px;
  }

  .ustadim-card {
    height: initial;
  }

  .ustadim-card .fds-card__header {
    font-family: Comfortaa;
    font-size: 19px;
    line-height: 26px;
  }

  .ustadim-tutar {
    padding: 10px;
    margin: 10px 0;
    height: initial;
  }

  .ustadim-card .amount-03 {
    font-family: 'Jetbrains Mono', 'Arial', monospace;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0;
  }

  slot.fds-card__content {
    height: initial;
  }

  .last-login {
    display: none;
  }
}

@media (min-width: 600px) and (max-width: 899.98px) {
  .main-menu,
  .header-content {
    display: none;
  }

  #main-menu {
    display: none;
  }

  .mobile-header {
    display: flex !important;
  }

  nav.active .fds-side-nav__content {
    max-height: 100vh !important;
    display: flex;
    justify-content: flex-start;
  }

  .fds-grid-container {
    padding-right: 16px !important;
    padding-left: 16px !important;
  }

  .fds-side-nav__horizontal {
    display: flex;
    flex-direction: column !important;
  }

  nav .fds-side-nav__content {
    height: initial;
    padding: 0;
    width: 100%;
    flex-direction: column !important;
    display: flex;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: center;
    align-items: flex-start;
  }

  .user-info {
    display: none !important;
  }

  nav .fds-side-nav__item {
    width: 100% !important;
  }

  nav .fds-side-nav__link {
    display: flex;
    width: 100%;
    align-items: center;
    border-radius: 4px;
    cursor: pointer;
    gap: 8px;
    padding-block: 12px;
    padding-inline: 16px;
    text-decoration: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: center;
  }

  nav .fds-side-nav__link--submenu-active .fds-side-nav__submenu {
    position: relative;
    display: flex;
    flex-direction: column;
  }

  footer {
    text-align: center;
    width: 100%;
    padding: 15px;
  }

  footer .pull-right {
    text-align: center !important;
    justify-content: center;
  }

  .content {
    position: relative;
    top: 50px;
    padding: 10px;
  }

  .main-menu.active {
    display: flex;
    overflow-y: hidden;
  }

  header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    z-index: 999999;
  }

  .main-menu {
    position: fixed;
    width: 100%;
    height: calc(100vh - 50px);
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: stretch;
    z-index: 99999;
    top: 50px;
    left: 0;
  }

  header {
    height: 50px;
  }

  .header-content {
    display: none;
  }

  .mobile-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    height: 50px;
  }

  .logo-container img {
    height: 32px;
  }

  .active-user-menu {
    margin-top: 50px;
  }

  .user-nav-menu {
    position: fixed;
    top: 50px;
    width: 100%;
    background-color: white;
    height: 100vh;
    z-index: 999999;
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
  }

  .user-nav-menu.active {
    display: flex;
  }

  .user-nav-menu.active .fds-side-nav__content {
    max-height: 100vh !important;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
  }

  .logout-btn {
    width: 100%;
    margin-top: 5px;
  }

  .component-menu-items {
    display: none !important;
  }

  .component-menu-items {
    display: flex !important;
    justify-content: flex-end;
  }

  .main-menu-items {
    display: flex;
    justify-content: flex-start;
  }

  .component-menu-items {
    display: flex !important;
    justify-content: flex-end !important;
  }

  .fds-grid-container {
    padding-right: 32px;
    padding-left: 32px;
  }

  .user-info {
    display: none;
  }

  .notification-panel {
    width: 100vw;
    right: initial;
    position: fixed;
    top: 72px;
    left: 0;
    max-width: calc(100vw - 20px);
    margin: 10px;
  }

  .destek-area {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: stretch;
    justify-content: space-evenly;
    align-items: stretch;
  }

  .destek-grafik {
    width: 100%;
  }

  .destek-istatistik {
    justify-content: space-evenly;
  }

  .destek-tablo {
    width: 100%;
  }

  slot.fds-card__content {
    height: initial;
  }
}

@media (min-width: 900px) and (max-width: 1099.98px) {
  .table th,
  .table td {
    padding: 0;
    vertical-align: top;
  }

  .ustadim-aciklama {
    font-family: Comfortaa;
    font-size: 10px;
    line-height: 20px;
  }

  .ustadim-card .fds-card__header {
    font-family: Comfortaa;
    font-size: 16px !important;
    line-height: 24px !important;
  }

  .ustadim-card .label-02 {
    font-size: 10px;
  }

  .ustadim-card .amount-03 {
    font-size: 12px;
  }

  .ustadim-tutar {
    padding: 13px;
    margin: 13px 0;
  }

  .ustadim-aciklama {
    font-family: Comfortaa;
    font-size: 12px;
    line-height: 20px;
  }

  .ustadim-card {
    padding: 15px !important;
  }

  .ustadim-card .amount-01 {
    font-size: 11px;
  }
}

@media (min-width: 1100px) and (max-width: 1299.98px) {
  .ustadim-card .fds-card__header {
    font-family: Comfortaa;
    font-size: 17px;
    line-height: 21px;
  }

  .ustadim-aciklama {
    font-family: Comfortaa;
    font-size: 12px;
    line-height: 20px;
  }

  .ustadim-card .label-02 {
    font-size: 11px;
  }

  .ustadim-card .amount-03 {
    font-size: 13px;
  }

  .ustadim-tutar {
    padding: 15px;
    margin: 15px 0;
  }
}

@media (min-width: 1300px) and (max-width: 1499.98px) {
}

@media (min-width: 1500px) and (max-width: 1799.98px) {
}

@media (min-width: 1800px) {
}

.fds-btn-group-separate {
  display: flex;
  gap: 8px;
}

.fds-btn-group-separate .fds-btn {
  width: 100%;
  white-space: nowrap;
}
